PO4A-TRANSLATE(1p)

NOM
po4a-translate - retorna un fitxer PO al format de documentació

SINOPSI
po4a-translate -f fmt -m principal.doc -p XX.po -l XX.doc

(XX.doc és la sortida, tots els altres són l'entrada)

DESCRIPCIÓ
L'objectiu del projecte po4a (PO per a tot) és facilitar la traducció (i sobretot el manteniment de les traduccions) utilitzant les eines de gettext en àrees on no eren d'esperar, com ara en la documentació.

El guió po4a-translate està a càrrec de convertir la traducció (que s'ha fet en un fitxer PO) altre cop cap al format de documentació. El fitxer PO proporcionat ha de ser la traducció del fitxer POT que havia produït po4a-gettextize(1).

OPCIONS

-f, --format
    Tipus de format de la documentació que vol tractar. Utilitzi l'opció --help-format per veure el llistat de formats disponibles.

-a, --addendum
    Afegeix un fitxer al fitxer resultant (per posar el nom del traductor o una secció "Sobre aquesta traducció", per exemple). La primera línia del fitxer a insertar ha de ser una capçalera de PO4A indicant on s'ha d'afegir (consulti la secció Com afegir text addicional que no és traducció a po4a(7)).

-A, --addendum-charset
    Joc de caràcters dels annexos. Tingueu en compte que tots els annexos han d'estar en el mateix joc de caràcters.

-m, --master
    Fitxer que conté el document principal a traduir.

-M, --master-charset
    Joc de caracters del fitxer que conté el document a traduir.

-l, --localized
    Fitxer on s'haurà d'escriure el document localitzat (traduït).

-L, --localized-charset
    Joc de caracters del fitxer que conté el document localitzat.

-p, --po
    Fitxer del quan s'ha de llegir el catàleg de missatges.

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

-k, --keep
    Minimal threshold for translation percentage to keep (i.e. write) the resulting file (default: 80). I.e. by default, files have to be translated at least at 80% to get written.

-w, --width
    Columna a la que s'ha de justificar el fitxer resultant.

-h, --help
    Mostra un breu missatge d'ajuda.

--help-format
    Llista els formats de documentació reconeguts per po4a.

-V, --version
    Mostra la versió dels guions i acaba.

-v, --verbose
    Incrementa el nivell d'informació del programa.

-d, --debug
    Mostra alguna informació de depuració.

--porefs type[,wrap|nowrap]
    Specify the reference format. Argument type can be one of never to not produce any reference, file to only specify the file without the line number, counter to replace line number by an increasing counter, and full to include complete references (default: full).

    Argument can be followed by a comma and either wrap or nowrap keyword. References are written by default on a single line. The wrap option wraps references on several lines, to mimic gettext tools (xgettext and msgmerge). This option will become the default in a future release, because it is more sensible. The nowrap option is available so that users who want to keep the old behavior can do so.

--wrap-po no|newlines|number (default: 76)
    Specify how the po file should be wrapped. This gives the choice between either files that are nicely wrapped but could lead to git conflicts, or files that are easier to handle automatically, but harder to read for humans.

    Historically, the gettext suite has reformatted the po files at the 77th column for cosmetics. This option specifies the behavior of po4a. If set to a numerical value, po4a will wrap the po file after this column and after newlines in the content. If set to newlines, po4a will only split the msgid and msgstr after newlines in the content. If set to no, po4a will not wrap the po file at all. The wrapping of the reference comments is controlled by the --porefs option.

    Note that this option has no impact on how the msgid and msgstr are wrapped, ie on how newlines are added to the content of these strings.

Afegint contingut (a part de la traducció) als fitxers generats
To add some extra content to the generated document beside what you translated (like the name of the translator, or an "About this translation" section), you should use the --addendum option.

La primera línia de l'apèndix ha de ser una capçalera que indiqui en quin punt del document s'ha d'insertar (pot ser abans o després d'una part indicada del document). La resta del fitxer s'afegirà al fitxer resultant sense cap mena de processat.

Tingueu en compte que si po4a-translate no aconsegueix afegir algun dels fitxers donats, descartarà la traducció completa (perquè el fitxer faltant pot ser el que indiqui l'autor, cosa que evitaria que els usuaris poguessin contactar amb ell per informar-lo d'errors en la traducció).

La capçalera té una sintaxi força rígida. Per a més informació sobre com utilitzar aquesta característica i com funciona, consulti la pàgina de manual de po4a(7).

CONSULTEU TAMBÉ
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCIÓ
 Carme Cirera <menxu@hotmail.com>
 Jordi Vilalta <jvprat@gmail.com>

DRET DE CÒPIA I LLICÈNCIA
Copyright 2002-2020 by SPI, inc.

Aquest programa és programari lliure; podeu redistribuir-lo i/o modificar-lo sota els termes de la GPL (consulteu el fitxer COPYING).